Package edu.msu.cme.rdp.multicompare.taxon

# Class MCTaxon

java.lang.Object
edu.msu.cme.rdp.taxatree.Node
edu.msu.cme.rdp.taxatree.Taxon
edu.msu.cme.rdp.multicompare.taxon.MCTaxon

Direct Known Subclasses:
  `UnifracTaxon`

public class MCTaxon extends edu.msu.cme.rdp.taxatree.Taxon

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`Count_Array_size`
`protected Map<MCSample,double[]>`
`sampleCountMap`

### Fields inherited from class edu.msu.cme.rdp.taxatree.Taxon

`ROOT_TAXON`

### Fields inherited from class edu.msu.cme.rdp.taxatree.Node

`taxid`

## Constructor Summary

Constructors
Constructor
Description
`MCTaxon(int id, String name, String rank)`
`MCTaxon(int id, String name, String rank, boolean unclassified)`
`MCTaxon(edu.msu.cme.rdp.taxatree.Taxon t)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addSequence(String seqid)`
`double`
`getCopyCorrectedCount(MCSample s)`
`double`
`getCount(MCSample s)`
`String`
`getLineage()`
`Set<MCSample>`
`getSamples()`
`Set<String>`
`getSequences()`
`void`
`incCount(MCSample s, double c)`
`void`
`incCount(MCSample s, double c, double copyNumber)`
`void`
`setLineage(String lineage)`

### Methods inherited from class edu.msu.cme.rdp.taxatree.Taxon

`getName, getRank, getTaxid, getUnclassifiedId, isUnclassified`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sampleCountMap

protected Map<MCSample,double[]> sampleCountMap

### Count_Array_size

public static final int Count_Array_size

See Also:
  - Constant Field Values

## Constructor Details

### MCTaxon

public MCTaxon(int id, String name, String rank)

### MCTaxon

public MCTaxon(int id, String name, String rank, boolean unclassified)

### MCTaxon

public MCTaxon(edu.msu.cme.rdp.taxatree.Taxon t)

## Method Details

### addSequence

public void addSequence(String seqid)

### getSequences

public Set<String> getSequences()

### setLineage

public void setLineage(String lineage)

### getLineage

public String getLineage()

### getSamples

public Set<MCSample> getSamples()

### getCount

public double getCount(MCSample s)

### getCopyCorrectedCount

public double getCopyCorrectedCount(MCSample s)

### incCount

public void incCount(MCSample s, double c)

### incCount

public void incCount(MCSample s, double c, double copyNumber)